curl --request GET \
--url https://product-api.thedatacity.com/api/v2/explore/{listId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://product-api.thedatacity.com/api/v2/explore/{listId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://product-api.thedatacity.com/api/v2/explore/{listId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ListName": "<string>",
"companies": [
{
"AccountsOverdueByMoreThanAYear": true,
"BestEstimateEBITDA": 123,
"BestEstimateEmployees": 123,
"BestEstimateTurnover": 123,
"BestEstimateUKEmployees": 123,
"Bluesky": "<string>",
"CICs": [
{}
],
"CompanyCategory": "<string>",
"CompanyDescription": "<string>",
"CompanyExports": [
{}
],
"CompanyFinancials_CreditSafe": [
{
"ACCOUNTANT_NAME": "<string>",
"ACCOUNTS_FORMAT": "<string>",
"AMORTISATION_OF_INTANGIBLES": 123,
"AUDITORS": "<string>",
"BANK_OVERDRAFT": 123,
"CASH": 123,
"CONSOLIDATED_ACS": true,
"CREDITORS": 123,
"CURRENCY": "<string>",
"DEBTORS": 123,
"DEBTORS_DUE_AFTER_ONE_YEAR": 123,
"DECREASE_OR_INCREASE_IN_CASH": 123,
"DEPRECIATION_OF_TANGIBLES": 123,
"EBITDA": 123,
"EMPLOYEES_ANOMALOUS": true,
"EMPLOYEES_ANOMALOUS_PROBABILITY": 123,
"EXPORT": 123,
"GROUP_DEBTORS": 123,
"LIKELY_AGENCY": true,
"LIKELY_AGENCY_PROBABILITY": 123,
"MADE_FROM_DATE": "2023-11-07T05:31:56Z",
"MADE_UPTO_DATE": "2023-11-07T05:31:56Z",
"NET_ASSETS": 123,
"NET_WORTH": 123,
"NUMBER_OF_EMPLOYEES": 123,
"NUM_OF_MONTHS": 123,
"OPERATING_PROFIT": 123,
"PRE_TAX_PROFIT": 123,
"PROFIT_AFTER_TAX": 123,
"SHAREHOLDER_FUNDS": 123,
"TOTAL_ASSETS": 123,
"TOTAL_CURRENT_ASSETS": 123,
"TOTAL_CURRENT_LIABILITIES": 123,
"TOTAL_LIABILITIES": 123,
"TRADE_DEBTORS": 123,
"TURNOVER": 123,
"TURNOVER_ANOMALOUS": true,
"TURNOVER_ANOMALOUS_PROBABILITY": 123,
"WAGES_AND_SALARIES": 123,
"YEAR": 123
}
],
"CompanyGrowthTrends": {
"BestEstimateCurrentEmployees": 123,
"BestEstimateCurrentTurnover": 123,
"BestEstimateEmployeeGrowthPercentagePerYear": 123,
"BestEstimateGrowthPercentagePerYear": 123,
"BestEstimateTurnoverGrowthPercentagePerYear": 123,
"BestEstimatedTurnoverToEmployeeRatio": 123,
"CompanyAgeInDays": 123,
"CompanySizeEstimate": "<string>",
"EmploymentEstimates": [
{
"Estimated": 123,
"Measure": 123,
"Year": 123
}
],
"OECDScaleup": true,
"SICs": [
"<string>"
],
"TurnoverEstimates": [
{
"Estimated": 123,
"Measure": 123,
"Year": 123
}
]
},
"CompanyImports": [
{}
],
"CompanyJobPostings": [
{
"MedianSalary": 123,
"Postings": 123,
"SOC4Code": "<string>",
"SOC4Name": "<string>"
}
],
"CompanyJobPostingsByLOTCodeOverTime": [
{
"AverageMedianSalary": 123,
"Count": 123,
"LOTCode": "<string>",
"Timestamp": 123
}
],
"CompanyJobPostingsByLot": [
{
"LotCode": "<string>",
"LotName": "<string>",
"MedianSalary": 123,
"Postings": 123
}
],
"CompanyJobPostingsBySOC4CodeOverTime": [
{
"AverageMedianSalary": 123,
"Count": 123,
"SOC4Code": "<string>",
"Timestamp": 123
}
],
"CompanyJobPostingsBySkill": [
{
"MedianPostingDuration": 123,
"SkillName": "<string>",
"UniquePostings": 123
}
],
"CompanyJobPostingsOverTime": {
"CompanyJobPostingsOverTimeByLot": [
{
"Count": 123,
"Timestamp": 123
}
],
"CompanyJobPostingsOverTimeBySoc4": [
{
"Count": 123,
"Timestamp": 123
}
]
},
"CompanyName": "<string>",
"CompanyNation": "<string>",
"CompanyNumber": "<string>",
"CompanyStatus": "<string>",
"ConsolidatedAccountsCompanyName": [
"<string>"
],
"ConsolidatedAccountsCompanyNumber": [
"<string>"
],
"CountryOfOrigin": "<string>",
"DealroomFunding": [
{
"CompanyId": "<string>",
"LastInvestmentDate": "2023-11-07T05:31:56Z",
"ParticipatingInvestorTypes": "<string>",
"ProviderCompanyName": "<string>",
"RoundAmount_GBP_Million": 123,
"RoundDate": "2023-11-07T05:31:56Z",
"RoundInvestorName": "<string>",
"RoundInvestorType": "<string>",
"RoundLeadInvestorName": "<string>",
"RoundType": "<string>",
"RoundVerified": 123,
"Spinout": 123,
"TotalInvestmentRaised_GBP_Million": 123
}
],
"DistinctBrandsInGroup": [
{}
],
"ESGStatementAnchors": [
{
"Anchor": "<string>",
"Domain": "<string>",
"Word": "<string>"
}
],
"ESG_RTIC": true,
"EmailAddresses": [
"<string>"
],
"EstimatedGVA": 123,
"EstimatedUKGVA": 123,
"Facebook": "<string>",
"GenderFoundedCategory": "<string>",
"GenderLedCategory": "<string>",
"HasBeenAcquired": true,
"HasIPO": true,
"HasMadeAcquisitions": true,
"HighGrowth": true,
"Homepage_domain": "<string>",
"IS8Codes": [
{
"ISCode": "<string>",
"ISCodeName": "<string>",
"ISVerticalCode": "<string>",
"ISVerticalName": "<string>"
}
],
"IncorporationDate": "2023-12-25",
"InnovateUKFunding": [
{
"ActualSpendtoDate": 123,
"ApplicationNumber": "<string>",
"AwardOffered": 123,
"CompetitionReference": "<string>",
"CompetitionTitle": "<string>",
"CompetitionYear": 123,
"EnterpriseSize": "<string>",
"IndustrialStrategyChallengeFundISCF": "<string>",
"InnovateUKProductType": "<string>",
"IsLeadParticipant": "<string>",
"ParticipantName": "<string>",
"ParticipantWithdrawnFromProject": "<string>",
"Postcode": "<string>",
"ProgrammeTitle": "<string>",
"ProjectEndDate": "2023-11-07T05:31:56Z",
"ProjectNumber": "<string>",
"ProjectStartDate": "2023-11-07T05:31:56Z",
"ProjectStatus": "<string>",
"ProjectTitle": "<string>",
"PublicDescription": "<string>",
"Sector": "<string>",
"TotalCosts": 123
}
],
"InnovationKeywords": [
"<string>"
],
"InnovationScore": 123,
"Instagram": "<string>",
"Investment": [
{
"CompanyId": "<string>",
"LastInvestmentDate": "2023-11-07T05:31:56Z",
"ParticipatingInvestorTypes": "<string>",
"ProviderCompanyName": "<string>",
"RoundAmount_GBP_Million": 123,
"RoundDate": "2023-11-07T05:31:56Z",
"RoundInvestorName": "<string>",
"RoundInvestorType": "<string>",
"RoundLeadInvestorName": "<string>",
"RoundType": "<string>",
"RoundVerified": 123,
"Spinout": 123,
"TotalInvestmentRaised_GBP_Million": 123
}
],
"IsBCorp": true,
"IsLikelyAgency": true,
"IsLikelySPV": true,
"LatestRoundAmount": 123,
"LatestRoundDate": "2023-11-07T05:31:56Z",
"LatestRoundType": "<string>",
"LatestRoundValuation": 123,
"LinkedCompanyNumbers": [
"<string>"
],
"Linkedin": "<string>",
"LocationDetails": [
{
"AssociatedAddress": "<string>",
"BestEstimateLocationEmployees": 123,
"BestEstimateLocationGVA": 123,
"BestEstimateLocationTurnover": 123,
"FoundOnWebpage": true,
"ITL1": "<string>",
"ITL1NM": "<string>",
"ITL2": "<string>",
"ITL2NM": "<string>",
"ITL3": "<string>",
"IsBlacklisted": true,
"IsOperatingAddress": true,
"IsSubsidiaryAddress": true,
"LAcode": "<string>",
"LAname": "<string>",
"LSOA": "<string>",
"Latitude": 123,
"Longitude": 123,
"MSOA": "<string>",
"OECDFUACorePlusCommuting": "<string>",
"Postcode": "<string>",
"Postcode_withspaces": "<string>",
"RegisteredPostcode": true,
"StrategicAuthorityCode": "<string>",
"StrategicAuthorityName": "<string>",
"UKConstituency": "<string>"
}
],
"ManufacturingKeywords": [
"<string>"
],
"NumberOfCurrentDirectors": 123,
"NumberOfCurrentOfficers": 123,
"OECDScaleup": true,
"Officers": [
{
"AddressLine1": "<string>",
"AddressLine2": "<string>",
"Appointedon": "2023-12-25",
"Careof": "<string>",
"Country": "<string>",
"County": "<string>",
"DOB": "2023-12-25",
"Forenames": "<string>",
"Honours": "<string>",
"Nationality": "<string>",
"Occupation": "<string>",
"PersonNumber": "<string>",
"PostTown": "<string>",
"ResignationDate": "2023-12-25",
"Role": "<string>",
"Surname": "<string>",
"Title": "<string>",
"UsualResidentialCountry": "<string>"
}
],
"ParentNation": "<string>",
"PhoneNumbers": [
"<string>"
],
"RSICs": [
{
"SIC_Code": "<string>",
"Score": 123
}
],
"RTICs": [
{}
],
"RegisteredAddress": "<string>",
"RegisteredPostcode": "<string>",
"SICHLUs": [
"<string>"
],
"SICs": [
"<string>"
],
"SectorKeywords": [
"<string>"
],
"SimilarCompanies": [
{
"CompanyOne": "<string>",
"CompanyTwo": "<string>",
"Similarity": 123
}
],
"SimilarCompositeCompanies": [
{
"CompanyOne": "<string>",
"CompanyTwo": "<string>",
"Similarity": 123
}
],
"Spinout": true,
"TonnesOfC02equivGHGPerYear": 123,
"Twitter": "<string>",
"URLMatchStats": {
"MatchedWebsite": "<string>",
"MatchedWebsiteConfidence": "<string>",
"MatchedWebsiteReasoning": [
"<string>"
],
"MatchedWebsiteScore": 123
},
"UltimateLinkedCompanyNumber": "<string>",
"UltimateParentNation": "<string>",
"UltimateUKParentCompanyNames": [
"<string>"
],
"UltimateUKParentCompanyNumbers": [
"<string>"
],
"WomenLedStats": {
"ActiveFemaleDirectors": 123,
"ActiveFemaleFounders": 123,
"ActiveMaleDirectors": 123,
"ActiveMaleFounders": 123,
"InitialFemaleFounders": 123,
"InitialMaleFounders": 123,
"TotalActiveDirectors": 123,
"TotalActiveFounders": 123,
"TotalInitialFounders": 123
},
"Youtube": "<string>",
"_360GivingFunding": [
{
"ImpactCategory": "<string>",
"Primaryissue": "<string>",
"amountAwarded": 123,
"awardDate": "2023-11-07T05:31:56Z",
"currency": "<string>",
"description": "<string>",
"funderName": "<string>",
"grantProgrammeTitle": "<string>",
"recipientName": "<string>",
"recipientURL": "<string>",
"title": "<string>"
}
]
}
],
"insights": {
"BestEstimateTotalEmployeesAttributedToLocation": 123,
"BestEstimateTotalGVAAttributedToLocation": 123,
"BestEstimateTotalTurnoverAttributedToLocation": 123,
"TopInvestorsByRoundCount": [
{}
],
"TopInvestorsByValue": [
{}
]
},
"CompanyChanges": [
{}
],
"JobPostingsBySOC4Code": [
{}
],
"JobPostingsBySOC4Name": [
{}
],
"JobPostingsByLotName": [
{}
],
"AverageAdvertisedSalaryBySOC4Code": [
{}
],
"AverageAdvertisedSalaryBySOC4Name": [
{}
],
"AverageAdvertisedSalaryByLotName": [
{}
],
"JobPostingsBySkill": [
{}
],
"AveragePostingDurationBySkill": [
{}
],
"RTICJobPostings": [
{}
],
"RTICVerticalJobPostings": [
{}
],
"CICJobPostings": [
{}
],
"CICVerticalJobPostings": [
{}
],
"CompanyJobPostingsOverTimeBySOC4": [
{}
],
"CompanyJobPostingsOverTimeByLOT": [
{}
],
"JobPostingsByCommonSkill": [
{}
],
"AveragePostingDurationByCommonSkill": [
{}
],
"JobPostingsByCertificationsSkill": [
{}
],
"AveragePostingDurationByCertificationsSkill": [
{}
],
"JobPostingsBySpecializedSkill": [
{}
],
"AveragePostingDurationBySpecializedSkill": [
{}
],
"JobPostingInsights": [
{}
],
"JobPostingInsightsLOT": [
{}
]
}Get explore list details
Get explore list details.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ML or Explore list ID from the platform.
Query Parameters
Page size for list responses (default 40, max 1000).
1 <= x <= 1000Number of records to skip (pagination).
x >= 0Company status filter passed through to classification (default Active).
String flag forwarded to filtered-companies (default false).
Response
List name plus filtered companies from the product API.
This gateway prefixes ListName then merges the product API classify or filtered-companies payload.
Display name of the smart list or explore list in the platform.
Company objects (ClassifiedCompany) or plain company number strings when ReturnCompanyIDsOnly is set.
Generated from The Data City data dictionary (schema ClassifiedCompany, version 1.0). See https://docs.thedatacity.com/data-dictionary/
Show child attributes
Show child attributes
Present when the insights query parameter is true and the token supports it. Field names inside this object are PascalCase (see data dictionary / ListInsights schema).
Show child attributes
Show child attributes
Omitted without companies:changes.
Omitted without lightcast:read.
Omitted without lightcast:read.
Omitted without lightcast:read.
Omitted without lightcast:read.
Omitted without lightcast:read.
Omitted without lightcast:read.
Omitted without lightcast:read.
Omitted without lightcast:read.
Omitted without lightcast:read.
Omitted without lightcast:read.
Omitted without lightcast:read.
Omitted without lightcast:read.
Omitted without lightcast:read.
Omitted without lightcast:read.
Omitted without lightcast:read.
Omitted without lightcast:read.
Omitted without lightcast:read.
Omitted without lightcast:read.
Omitted without lightcast:read.
Omitted without lightcast:read.
Omitted without lightcast:read.
Omitted without lightcast:read.